import Vue from 'vue';
import _ from 'lodash';
import Waypoint from 'waypoints/lib/noframework.waypoints';
import $ from 'jquery';

Vue.component('buildable-card', require('./components/BuildableCard.vue'));
Vue.component('buildable-clickable-object', require('./components/BuildableClickableObject.vue'));
Vue.component('buildable-complex-button', require('./components/BuildableComplexButton.vue'));
Vue.component('buildable-barnacle-contact-form', require('./components/BuildableBarnacleContactForm.vue'));
Vue.component('buildable-cool-data', require('./components/BuildableCoolData.vue'));
Vue.component('buildable-decide-by-side', require('./components/BuildableDecideBySide.vue'));
Vue.component('buildable-hero', require('./components/BuildableHero.vue'));
Vue.component('buildable-hero-with-info-box', require('./components/BuildableHeroWithInfoBox.vue'));
Vue.component('buildable-video-only-hero', require('./components/BuildableVideoOnlyHero.vue'));
Vue.component('buildable-intro', require('./components/BuildableIntro.vue'));
Vue.component('buildable-obfuscated-map', require('./components/BuildableObfuscatedMap.vue'));
Vue.component('buildable-photo-gallery', require('./components/BuildablePhotoGallery.vue'));
Vue.component('buildable-quote', require('./components/BuildableQuote.vue'));
Vue.component('buildable-testimonial-slider', require('./components/BuildableTestimonialSlider'));
Vue.component('buildable-reflexive-list', require('./components/BuildableReflexiveList.vue'));
Vue.component('buildable-reflexive-image-list', require('./components/BuildableReflexiveImageList.vue'));
Vue.component('buildable-side-by-side', require('./components/BuildableSideBySide.vue'));
Vue.component('buildable-text', require('./components/BuildableText.vue'));
Vue.component('buildable-section-header', require('./components/BuildableSectionHeader.vue'));
Vue.component('buildable-fixed-image-scrolling', require('./components/BuildableFixedImageScrolling.vue'));
Vue.component('buildable-detailed-images', require('./components/BuildableDetailedImages.vue'));
Vue.component('buildable-logo-promo-slider', require('./components/BuildableLogoPromoSlider.vue'));
Vue.component('buildable-guillotine-images', require('./components/BuildableGuillotineImages.vue'));
Vue.component('buildable-story', require('./components/BuildableStory.vue'));
Vue.component('buildable-meet-the-team', require('./components/BuildableMeetTheTeam.vue'));
Vue.component('buildable-include-script', require('./components/BuildableIncludeScript.vue'));

new Vue({
    el: '#page_div',
    data: pageData
});
